/*UNIVERSITI KUALA LUMPUR*/
/*NUR ALYA NABILAH BINTI ZULKIFLI*/
/*52052120076*/
/*FARAH AIN SOFEA BINTI ARIS FADZILAH*/
/*52052120008*/
/*MADAM NORSHAHARIZAN PUTEH*/
/*WEEK 19*/

/*VARIABLES*/
:root {
    --offwhite: #FFF3F3;
    --purple: #C895CE;
    --lightpurple: #D8B4DC;
    --darkpurple: #A077A4;
    --plum: #DDA0DD;
    --rebeccapurple: #663399;
    --steelblue: #4682B4;
    --cornflowerblue: #6495ED;
    --midnightblue: #191970;
    --pureblack: #000800;
}

/*FIRST SECTION*/
.main {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    height: 50vh;
}

.grid h1 {
    font-size: 30px;
    text-align: center;
    margin-bottom: 20px;
    color: var(--offwhite);
}

.box {
    width: 200px;
    height: 200px;
    background-image: linear-gradient(to top, #c895ce, #bc8ed3, #ac89d9, #9784e0, #7c81e6, #6a86e8, #568ae9, #408ee8, #4e99e2, #61a2da, #77abd2, #8eb2ca);
    display: flex;
    justify-content: center;
    position: relative;
    transition: all .4s;
    cursor: pointer;
    border-radius: 10px;
}

.box img {
    width: 150px;
    height: 200px;
    margin-top: 25px;
}

.dog img {
    width: 200px;
    height: 200px;
    margin-top: 25px;
}

.box:nth-child(1),
.box:nth-child(3) {
    transform: scale(.9);
}

.box:hover {
    height: 400px;
}

.box .details {
    position: absolute;
    bottom: 50px;
    left: 25px;
    display: flex;
    opacity: 0;
    color: rgba(54, 54, 54);
    font-size: 1.2rem;
    z-index: 1;
    transition: all .0s;
}

.box:hover .details {
    opacity: 1;
    transition: all .4s;
}

.details p {
    margin: 0;
    font-size: 15px;
}

.details::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 5px;
    background: var(--offwhite);
    bottom: -5px;
    z-index: -1;
    opacity: .8;
    transform: scaleX(0);
    transition: all .4s;
    transition-delay: .3s;
    border-radius: 10px;
    transform-origin: left;
}

.box:hover .details::before {
    transform: scaleX(1);
}

a:link, a:visited {
    text-decoration: none;
    color: var(--pureblack);
}
    
a:hover {
    text-decoration: none;
    color: var(--plum);
    transition: 0.5s;
}
    
a:active {
    text-decoration: none;
    color: var(--pureblack);
}

/*SECOND SECTION*/
.secondsec {
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}

h1 {
    color: #FFF3F3;
    font-size: 36px;
    font-weight: 600;
}

.secondsec p {
    color: #777;
}

.row {
    margin-top: 5%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.row img {
    width: 50%;
    height: 50%;
}

.article-col {
    flex-basis: 31%;
    background: #FFF3F3;
    border-radius: 10px;
    margin-bottom: 5%;
    padding: 20px 12px;
    box-sizing: border-box;
}


.article-img img {
    width: 300px;
    height: 300px;
}

.article-col h2 {
    text-align: center;
    font-weight: 600;
    margin: 10px 0;
    font-size: 25px;
}

.article-col h3 {
    padding: 20px;
}

.article-col span {
    margin: 30px;
    font-size: 20px;
    color: var(--steelblue);
}

.article-col p {
    color: #777;
    font-size: 15px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px;
}

.article-col:hover {
    box-shadow: 0 0 20px 0px rgba(0,0,0,0.2);
}

table {
    width: 50%;
    margin: 0 auto;
}

table, th, td {
    border: 1px solid black;
    border-collapse: collapse;
}
